<?php // no direct access
defined( '_JEXEC' ) or die;


/**
 * @package     Joomla.Site
 * @subpackage     mod_csscontrolled_slideshow
 * @link        http://digitalprimes.com/index.php/css-controlled-slideshow
 * @license     GNU General Public License version 2 or later;
 *
 * mod_csscontrolled_slideshow is free software. This version may have been modified
 * pursuant to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or other
 * free or open source software licenses.
 *
 */
 

JHTML::script('media/mod_csscontrolled_slideshow/js/script.js');
JHTML::stylesheet('media/mod_csscontrolled_slideshow/css/default.css');
JHTML::stylesheet('http://fonts.googleapis.com/css?family=BenchNine');

 ?>



<div id="css_outerdiv" style="height: <?php echo $slideshow['height'] ?>">

	<?php foreach($images as $image) { ?>

		<div class="css_image" id="<?php echo $image['name'] ?>" style="height: <?php echo $slideshow['height'] ?>;">
			<img src="<?php echo $image['path'] ?>" style="min-height: <?php echo $slideshow['height'] ?>" />
            <?php if(isset($image['description'])) { ?>
			     <div class="css_description"><?php echo $image['description']; ?></div>
            <?php } ?>
		</div>
	<?php } ?>



</div>


<script type="text/javascript">


	var play = true;
    
    

	function GoNextImg()
    {
    	if (play)
    	{
    	 jQuery('.css_image:first-child').fadeOut(<?php echo $slideshow['transition_speed'] ?>)
         .next('.css_image').fadeIn(<?php echo $slideshow['transition_speed'] ?>)
         .end().appendTo('#css_outerdiv');
     	}
    }  

    

    function SwitchImage(IntendedImage)
    {	
		if (jQuery.fn.finish) {
			// .finish() methods exists
			jQuery( ".css_image" ).finish();
		}
		else{
			jQuery( ".css_image" ).stop(false, false);
		}
    	jQuery('.css_image').hide();
    	jQuery('.css_image#' + IntendedImage).show();
    }

    jQuery(function(){

    jQuery('.css_image:gt(0)').hide();





    <?php 
    $css_javascript = "";
    foreach($images as $image) { 
        if( isset($image['csstrigger']) ) {

            $css_javascript .= "
            jQuery('". $image['csstrigger'] . "')." .  ( $slideshow['trigger'] == 'hover' ? 'mouseenter' : 'click' ) . "(function() {
                        play = false;
                        SwitchImage('" . $image['name'] . "');
                    })";


            if($slideshow['trigger'] == 'hover') {

                $css_javascript .= ".on('mouseleave', function() {
                            play = true;
							jQuery('.css_image').hide();
                            ";

                            if($slideshow['autoplay'] == 'yes') {
                                $css_javascript .= "GoNextImg();
                                ";
                            }
                 $css_javascript .= "});
    ";
            }
        }
    }
    echo $css_javascript;
   ?>


    <?php if($slideshow['autoplay'] == 'yes') { ?>
        setInterval("GoNextImg()", <?php echo $slideshow['interval'] ?>);
    <?php } ?>
	
	//jQuery( window ).resize(function() {
		//jQuery(".css_image img").css({width:  jQuery(window).width() });
		//});
		console.log( jQuery().jquery );

});

</script>