<?php

defined('_JEXEC') or die;

/**
 * @package     Joomla.Site
 * @subpackage     mod_csscontrolled_slideshow
 * @link        http://digitalprimes.com/index.php/css-controlled-slideshow
 * @license     GNU General Public License version 2 or later;
 *
 * mod_csscontrolled_slideshow is free software. This version may have been modified
 * pursuant to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or other
 * free or open source software licenses.
 *
 */

$slideshow['height'] = $params->get('height', '450px');
$slideshow['interval'] = $params->get('interval', 3000);
$slideshow['transition_speed'] = $params->get('transition_speed', 800);
$slideshow['autoplay'] = $params->get('autoplay', 'yes');
$slideshow['trigger'] = $params->get('trigger', 'hover');
$sitePath = JURI::base();

$images = array();

for($i=0; $i<9; $i++) {
	if($params->get('image'.$i)) {
		$images["image".$i]["name"]  = "image".$i ;
		$images["image".$i]["path"]  = $sitePath . htmlspecialchars($params->get('image'.$i));

		if($params->get('description'.$i)) {
			$images["image".$i]["description"]  = ($params->get('description'.$i));
		}

		if($params->get('csstrigger'.$i)) {
			$images["image".$i]["csstrigger"]  = trim(htmlspecialchars($params->get('csstrigger'.$i)));
		}

	}
}

require( JModuleHelper::getLayoutPath( 'mod_csscontrolled_slideshow' ) );
